Name:		mathomatic
Version:	14.5.5
Release:	%mkrel 1
Epoch:		0
Summary: 	General purpose CAS (Computer Algebra System)
URL:		http://mathomatic.orgserve.de/math/
Source0:	http://www.panix.com/~gesslein/mathomatic-%{version}.tar.bz2
License:	LGPLv2
Group:		Sciences/Mathematics
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  desktop-file-utils
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Mathomatic is a portable, general purpose CAS (Computer Algebra System)
written entirely in C. It is free software (GNU LGPL license). This is a
console mode application and library that easily compiles and runs under
any operating system with a C compiler. There are no dependencies other
than the standard C libraries. Mathomatic has been under development
since 1986 and now stands at 16,000 lines of highly efficient code. The
author is George Gesslein II.

%prep
%setup -q
%{__cat} > makefile.lib << EOF
all:
EOF
%{__mkdir_p} lib
%{__cp} -a makefile.lib lib/makefile
%{__mkdir_p} %{name}_secure
%{__mkdir_p} %{name}_secure/lib
%{__cp} -a makefile.lib %{name}_secure/lib/makefile
%{__cp} -a *.[ch] makefile VERSION %{name}_secure

%build
# build the standard version and test it
%{__sed} -e 's/-O /%{optflags} /' makefile > makefile.opt
%{make} CC=%{__cc} READLINE=1 LDFLAGS= AOUT=%{name} -f makefile.opt
%{make} CC=%{__cc} READLINE=1 LDFLAGS= AOUT=%{name} -f makefile.opt check

# build the secure version
cd %{name}_secure
%{__ln_s} ../%{name}.1 .
%{__ln_s} ../doc .
%{__ln_s} ../primes .
%{__sed} -e 's/-O /%{optflags} -DSECURE -DTIMEOUT_SECONDS=3600 /' makefile > makefile.secure
%{make} CC=%{__cc} READLINE=1 LDFLAGS= AOUT=%{name}_secure -f makefile.secure
cd ..

%install
%{__rm} -rf %{buildroot}
%makeinstall docdir=%{buildroot}%{_docdir}/%{name}
# remove the installed docs since these are picked up in %%doc already
%{__rm} -rf %{buildroot}%{_docdir}/%{name}
# remove manual since its installed already
%{__rm} -rf doc/%{name}.1
# install the secure binary
cd %{name}_secure
%{__install} -m 755 %{name}_secure %{buildroot}%{_bindir}/%{name}_secure
cd ..

%{_bindir}/desktop-file-validate %{buildroot}%{_datadir}/applications/mathomatic.desktop

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc changes.txt README.txt VERSION doc/ tests/
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}_secure
%{_mandir}/man1/mathomatic.1*
%{_datadir}/applications/mathomatic.desktop
%{_datadir}/pixmaps/mathomatic.png


%changelog
* Wed Sep 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.5.5-1mdv2010.0
+ Revision: 443608
- update to new version 14.5.5

* Sun Aug 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.5.4-1mdv2010.0
+ Revision: 422658
- update to new version 14.5.4

* Sat Jul 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.5.2-1mdv2010.0
+ Revision: 397209
- update to new version 14.5.2

* Mon Jul 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.5.1-1mdv2010.0
+ Revision: 393058
- update to new version 14.5.1

* Thu Jun 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.5.0-1mdv2010.0
+ Revision: 389179
- update to new version 14.5.0

* Sun Jun 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.4.5-1mdv2010.0
+ Revision: 385892
- update to new version 14.4.5

* Wed Jun 03 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.4.4-1mdv2010.0
+ Revision: 382485
- update to new version 14.4.4

* Wed May 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.4.2-1mdv2010.0
+ Revision: 375513
- update to new version 14.4.2

* Mon May 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.4.1-1mdv2010.0
+ Revision: 371862
- update to new version 14.4.1

* Wed Mar 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.3.5-1mdv2009.1
+ Revision: 357426
- update to new version 14.3.5

* Thu Mar 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.3.4-1mdv2009.1
+ Revision: 349095
- update to new version 14.3.4

* Fri Feb 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0:14.3.3-2mdv2009.1
+ Revision: 345416
- rebuild against new readline

* Mon Feb 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.3.3-1mdv2009.1
+ Revision: 341046
- update to new version 14.3.3

* Mon Feb 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.3.2-1mdv2009.1
+ Revision: 338871
- update to new version 14.3.2

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0:14.3.0-1mdv2009.1
+ Revision: 332766
- New upstream release

* Sun Jan 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0:14.2.8-1mdv2009.1
+ Revision: 324532
- update to new version 14.2.8

* Sat Dec 20 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.2.7-1mdv2009.1
+ Revision: 316427
- update to new version 14.2.7

* Sun Dec 07 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.2.5-1mdv2009.1
+ Revision: 311515
- update to new version 14.2.5

* Mon Nov 24 2008 David Walluck <walluck@mandriva.org> 0:14.2.3-1mdv2009.1
+ Revision: 306127
- 14.2.3

* Tue Nov 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.2.2-1mdv2009.1
+ Revision: 302314
- update to new version 14.2.2

* Sat Oct 18 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.2.1-1mdv2009.1
+ Revision: 295039
- update to new version 14.2.1

* Fri Oct 10 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.2.0-1mdv2009.1
+ Revision: 291655
- update to new version 14.2.0

* Sun Sep 07 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.1.6-1mdv2009.0
+ Revision: 282324
- update to new version 14.1.6

* Mon Aug 25 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.1.5-1mdv2009.0
+ Revision: 275991
- update to new version 14.1.5

* Sat Aug 16 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.1.4-1mdv2009.0
+ Revision: 272765
- update to new version 14.1.4

* Wed Aug 13 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.1.3-1mdv2009.0
+ Revision: 271539
- update to new version 14.1.3

* Mon Aug 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.1.2-1mdv2009.0
+ Revision: 270846
- update to new version 14.1.2

* Thu Jul 31 2008 Frederik Himpe <fhimpe@mandriva.org> 0:14.1.1-1mdv2009.0
+ Revision: 257950
- update to new version 14.1.1

* Sun Jul 27 2008 David Walluck <walluck@mandriva.org> 0:14.1.0-1mdv2009.0
+ Revision: 250495
- 14.1.0

* Mon May 05 2008 Funda Wang <fundawang@mandriva.org> 0:14.0.2-1mdv2009.0
+ Revision: 201442
- New version 14.0.2

* Fri Apr 25 2008 David Walluck <walluck@mandriva.org> 0:14.0.0-1mdv2009.0
+ Revision: 197337
- 14.0.0

* Sun Apr 20 2008 David Walluck <walluck@mandriva.org> 0:12.9.2-1mdv2009.0
+ Revision: 196003
- 12.9.2

* Mon Feb 25 2008 Frederik Himpe <fhimpe@mandriva.org> 0:12.8.8-1mdv2008.1
+ Revision: 174954
- New upstream version
- New license policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Fri Feb 01 2008 David Walluck <walluck@mandriva.org> 0:12.8.6-1mdv2008.1
+ Revision: 161274
- 12.8.6

* Wed Jan 23 2008 David Walluck <walluck@mandriva.org> 0:12.8.5-1mdv2008.1
+ Revision: 156969
- 12.8.5

* Tue Jan 08 2008 David Walluck <walluck@mandriva.org> 0:12.8.4-1mdv2008.1
+ Revision: 146900
- 12.8.4

* Sun Dec 30 2007 David Walluck <walluck@mandriva.org> 0:12.8.3-1mdv2008.1
+ Revision: 139387
- fix build
- 12.8.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 David Walluck <walluck@mandriva.org> 0:12.8.2-1mdv2008.1
+ Revision: 119061
- BuildRequires: desktop-file-utils
- 12.8.2

* Sat Nov 17 2007 David Walluck <walluck@mandriva.org> 0:12.8.0-1mdv2008.1
+ Revision: 109187
- 12.8.0

* Fri Nov 02 2007 David Walluck <walluck@mandriva.org> 0:12.7.9-1mdv2008.1
+ Revision: 105305
- 12.7.9

* Sat Oct 13 2007 David Walluck <walluck@mandriva.org> 0:12.7.7-1mdv2008.1
+ Revision: 97840
- 12.7.7

* Fri Sep 07 2007 David Walluck <walluck@mandriva.org> 0:12.7.6-1mdv2008.0
+ Revision: 81513
- 12.7.6

* Mon Aug 20 2007 David Walluck <walluck@mandriva.org> 0:12.7.5-1mdv2008.0
+ Revision: 68037
- 12.7.5

* Sat Jun 23 2007 David Walluck <walluck@mandriva.org> 0:12.7.3-1mdv2008.0
+ Revision: 43423
- 12.7.3

* Mon May 14 2007 David Walluck <walluck@mandriva.org> 0:12.7.0-1mdv2008.0
+ Revision: 26604
- 12.7.0


* Fri Dec 15 2006 David Walluck <walluck@mandriva.org> 12.6.8-1mdv2007.0
+ Revision: 97387
- 12.6.8
- Import mathomatic

* Mon Sep 18 2006 David Walluck <walluck@mandriva.org> 0:12.6.3-1
- 12.6.3

* Mon Aug 28 2006 David Walluck <walluck@mandriva.org> 0:12.6.1-1mdv2007.0
- 12.6.1

* Sat Aug 12 2006 David Walluck <walluck@mandriva.org> 0:12.5.19-1mdv2007.0
- 12.5.19

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:12.5.18-1mdv2007.0
- 12.5.18

* Tue Jul 11 2006 David Walluck <walluck@mandriva.org> 0:12.5.17-1mdv2007.0
- 12.5.17

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:12.5.16-1mdv2007.0
- 12.5.16

* Tue Mar 28 2006 David Walluck <walluck@mandriva.org> 0:12.5.12-1mdk
- 12.5.12

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0:12.5.11-1mdk
- 12.5.11

* Thu Mar 02 2006 David Walluck <walluck@mandriva.org> 0:12.5.10-1mdk
- 12.5.10

* Wed Feb 22 2006 David Walluck <walluck@mandriva.org> 0:12.5.8-1mdk
- 12.5.8

* Fri Jan 20 2006 David Walluck <walluck@mandriva.org> 0:12.5.6-1mdk
- 12.5.6

* Thu Dec 29 2005 David Walluck <walluck@mandriva.org> 0:12.5.5-1mdk
- 12.5.5

* Sat Dec 17 2005 David Walluck <walluck@mandriva.org> 0:12.5.4-1mdk
- 12.5.4

* Sun Oct 23 2005 David Walluck <walluck@mandriva.org> 0:12.5.0-1mdk
- 12.5.0

* Mon Oct 10 2005 David Walluck <walluck@mandriva.org> 0:12.4.12-1mdk
- release

